# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-rpmfluff
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:          python-module-rpmfluff
Version:       0.3
Release:       alt1_13
Summary:       Lightweight way of building RPMs, and sabotaging them
License:       GPLv2
Group:         Development/Tools
URL:           https://fedorahosted.org/rpmfluff/
Source0:       https://fedorahosted.org/releases/r/p/rpmfluff/rpmfluff-%{version}.tar.bz2
BuildArch:     noarch
BuildRequires: python-devel
BuildRequires:  python-module-setuptools
Source44: import.info


%description
rpmfluff provides a python library for building RPM packages, and
sabotaging them so they are broken in controlled ways.

It is intended for use when validating package analysis tools such as RPM lint.
It can also be used to construct test cases for package management software
such as rpm and yum.


%prep
%setup -q -n rpmfluff-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%files
%doc README
%doc LICENSE
%{python_sitelibdir_noarch}/rpmfluff.py*
%{python_sitelibdir_noarch}/rpmfluff*.egg-info


%changelog
* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_12
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_11
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_10
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_9
- initial fc import

